#pragma once
#include "dinkyecs.hpp"

namespace Components {
  struct Player {
    DinkyECS::Entity entity;
  };

  struct Position {
    Point location;
  };

  struct Motion {
    int dx;
    int dy;
  };

  struct Combat {
    int hp;
    int damage;
  };

  struct Treasure {
    int amount;
  };

  struct Tile {
    std::string chr = "!";
  };
}
